Subject: Re: SRv6 Network Programming: ENH = 59
From: Tom Herbert <[email-masked]>
To: Xiejingrong <[email-masked]>
Cc: Ron Bonica <rbonica=[email-masked]>, SPRING WG <[email-masked]>, 6man <[email-masked]>
Date: Sun, 5 May 2019 18:19:02 -0700
List-Id: "IPv6 Maintenance Working Group \(6man\)" <ipv6.ietf.org>

On Sun, May 5, 2019, 6:15 PM Xiejingrong <[email-masked]> wrote:

> Hi Tom,
>
>
>
> Number 97 is a choice but it has 2 bytes wasting.
>
Jingrong,

To the contrary, those two bytes are critical, they maintain proper
alignment of network and transport layers. Ask the SPARC engineers about
how much fun it is to deal with unaligned network headers! ;-)

Tom

>
> Jingrong
>
>
>
> *From:* ipv6 [mailto:[email-masked]] *On Behalf Of *Tom Herbert
> *Sent:* Monday, May 06, 2019 9:11 AM
> *To:* Ron Bonica <rbonica=[email-masked]>
> *Cc:* SPRING WG <[email-masked]>; 6man <[email-masked]>
> *Subject:* Re: SRv6 Network Programming: ENH = 59
>
>
>
>
>
> On Sun, May 5, 2019, 5:47 PM Ron Bonica <rbonica=
> [email-masked]> wrote:
>
> Folks,
>
> According to Section 4.4 of draft-ietf-spring-srv6-network-programming-00,
> when processing the End.DX2 SID, the Next Header must be equal to 59.
> Otherwise, the packet will be dropped.
>
> In the words of the draft, "We conveniently reuse the next-header value 59
> allocated to IPv6 No Next Header [RFC8200].  When the SID corresponds to
> function End.DX2 and the Next-Header value is 59, we know that an Ethernet
> frame is in the payload without any further header."
>
> According to Section 4.7 RFC 8200, " The value 59 in the Next Header field
> of an IPv6 header or any  extension header indicates that there is nothing
> following that header.  If the Payload Length field of the IPv6 header
> indicates the presence of octets past the end of a header whose Next Header
> field contains 59, those octets must be ignored and passed on unchanged if
> the packet is forwarded."
>
> Does the WG think that it is a good idea to reuse the Next Header value
> 59? Or would it be better to allocate a new Next Header value that
> represents Ethernet?
>
>
>
> Tom,
>
>
>
> There's already ETHERIP number (97). Why not use that?
>
>
>
> Tom
>
>
>
>
>                                                           Ron
>
>
> Juniper Internal
>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>
>